Bitcall logoBitcall API
Add your Key ID and Secret to send test requests.

List orders

GET
/v1/esim/orders

Returns your eSIM orders, newest first. Pass status=pending for the ones still being provisioned.

Authorization

KeyId ApiSecret
x-key-id<token>

Your API key id.

In: header

x-api-secret<token>

Your API key secret.

In: header

Query Parameters

page?integer
Default1
Range1 <= value <= 10000
pageSize?integer
Default50
Range1 <= value <= 200
status?string
Value in"pending" | "delivered" | "refunded" | "refund_pending_review" | "purchased"
planId?string
Match^pln_[A-Za-z0-9_-]{20,128}$
region?string
Length1 <= length <= 64
sort?string
Value in"asc" | "desc"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/esim/orders?page=1&pageSize=50&status=pending&sort=asc"
{
  "data": [
    {
      "orderId": "string",
      "status": "pending",
      "actions": {
        "canCancel": true
      },
      "quantity": 0,
      "price": {
        "amount": 0,
        "currency": "string"
      },
      "packageType": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "dueDate": "string",
      "esims": [
        {
          "iccid": "string",
          "status": "string",
          "activationCode": "string",
          "appleInstallUrl": "string",
          "installationAvailable": true,
          "topupEligible": true,
          "network": "string"
        }
      ]
    }
  ],
  "meta": {
    "page": -9007199254740991,
    "pageSize": -9007199254740991,
    "total": -9007199254740991,
    "totalPages": -9007199254740991,
    "hasNext": true
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "The request is not valid. See `fields` for what to correct.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "AUTHENTICATION_REQUIRED",
    "message": "This endpoint requires an API key.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "CONFLICT",
    "message": "The resource is not in a state that allows this operation.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "RATE_LIMITED",
    "message": "Too many requests. Retry after the interval in `Retry-After`.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "INTERNAL_ERROR",
    "message": "Something went wrong on our side.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "SERVICE_RESPONSE_INVALID",
    "message": "The upstream service returned an unexpected response.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "SERVICE_UNAVAILABLE",
    "message": "The service is temporarily unavailable. Try again shortly.",
    "requestId": "9f1c7b2e-…"
  }
}